# class rpcsfactory

A factory for automatically instantiating the correct protocol variant depending on the connected Psion. More...

Definition | `#include <rpcsfactory.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum errs { FACERR_NONE = 0, FACERR_COULD_NOT_SEND = 1, FACERR_AGAIN = 2, FACERR_NOPSION = 3, FACERR_PROTVERSION = 4, FACERR_NORESPONSE = 5 }

#### Public Methods

- rpcsfactory (ppsocket * skt)
- virtual rpcs * create (bool reconnect)
- virtual Enum<errs> getError ()

## Detailed Description

A factory for automatically instantiating the correct protocol variant depending on the connected Psion.

enum errs { FACERR_NONE = 0, FACERR_COULD_NOT_SEND = 1, FACERR_AGAIN = 2, FACERR_NOPSION = 3, FACERR_PROTVERSION = 4, FACERR_NORESPONSE = 5 }

### errs

The known errors which can happen during create .

rpcsfactory (ppsocket * skt)

### rpcsfactory

Constructs a rpcsfactory.

Parameters:

skt | The socket to be used for connecting to the ncpd daemon.

rpcs * create (bool reconnect)

### create

[virtual]

Creates a new rpcs instance.

Parameters:

reconnect | Set to true, if automatic reconnect should be performed on failure.

Returns: A pointer to a newly created rpcs instance or NULL on failure.

Enum<errs> getError ()

### getError

[virtual]

Retrieve an error code.

Returns: The error code, in case create has failed, 0 otherwise.

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.